---
title: WebKit CSS extensions
slug: Web/CSS/WebKit_Extensions
tags:
  - CSS
  - 'CSS:WebKit Extensions'
  - Guide
  - Non-standard
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p>Applications based on WebKit or Blink, such as Safari and Chrome, support a number of special <strong>WebKit extensions to <a href="/en-US/docs/Web/CSS">CSS</a></strong>. These extensions are generally prefixed with <code>-webkit-</code>. Most <code>-webkit-</code> prefixed properties also work with an <code>-apple-</code> prefix. A few are prefixed with <code>-epub-</code>.</p>

<h2 id="WebKit-only_properties">WebKit-only properties</h2>

<div class="note">
<p><strong>Note:</strong> Avoid using on websites. These properties will only work in WebKit applications.</p>
</div>

<div class="index">
<h3 id="A">A</h3>

<ul>
	<li>{{CSSxRef("-webkit-animation-trigger")}}</li>
	<li>{{CSSxRef("-webkit-app-region")}}</li>
	<li>{{CSSxRef("-webkit-appearance")}}*</li>
	<li>{{CSSxRef("-webkit-aspect-ratio")}}</li>
</ul>

<h3 id="B">B</h3>

<ul>
	<li>{{CSSxRef("-webkit-backdrop-filter")}}</li>
	<li>{{CSSxRef("-webkit-background-composite")}}</li>
	<li>{{CSSxRef("border-block-end","-webkit-border-after")}}**</li>
	<li>{{CSSxRef("border-block-end-color","-webkit-border-after-color")}}**</li>
	<li>{{CSSxRef("border-block-end-style","-webkit-border-after-style")}}**</li>
	<li>{{CSSxRef("border-block-end-width","-webkit-border-after-width")}}**</li>
	<li>{{CSSxRef("border-block-start","-webkit-border-before")}}**</li>
	<li>{{CSSxRef("border-block-start-color","-webkit-border-before-color")}}**</li>
	<li>{{CSSxRef("border-block-start-style","-webkit-border-before-style")}}**</li>
	<li>{{CSSxRef("border-block-start-width","-webkit-border-before-width")}}**</li>
	<li>{{CSSxRef("border-inline-end", "-webkit-border-end")}}**</li>
	<li>{{CSSxRef("border-inline-end-color","-webkit-border-end-color")}}**</li>
	<li>{{CSSxRef("border-inline-end-style","-webkit-border-end-style")}}**</li>
	<li>{{CSSxRef("border-inline-end-width","-webkit-border-end-width")}}**</li>
	<li>{{CSSxRef("-webkit-border-fit")}}</li>
	<li>{{CSSxRef("-webkit-border-horizontal-spacing")}}</li>
	<li>{{CSSxRef("border-inline-start", "-webkit-border-start")}}**</li>
	<li>{{CSSxRef("border-inline-start-color", "-webkit-border-start-color")}}**</li>
	<li>{{CSSxRef("border-inline-start-style", "-webkit-border-start-style")}}**</li>
	<li>{{CSSxRef("border-inline-start-width", "-webkit-border-start-width")}}**</li>
	<li>{{CSSxRef("-webkit-border-vertical-spacing")}}</li>
	<li>{{CSSxRef("align-items","-webkit-box-align")}}**</li>
	<li>{{CSSxRef("flex-direction", "-webkit-box-direction")}}**</li>
	<li>{{CSSxRef("-webkit-box-flex-group")}}**</li>
	<li>{{CSSxRef("flex-grow", "-webkit-box-flex")}}**</li>
	<li>{{CSSxRef("flex-flow", "-webkit-box-lines")}}**</li>
	<li>{{CSSxRef("order", "-webkit-box-ordinal-group")}}**</li>
	<li>{{CSSxRef("flex-direction","-webkit-box-orient")}}**</li>
	<li>{{CSSxRef("justify-content", "-webkit-box-pack")}}**</li>
	<li>{{CSSxRef("-webkit-box-reflect")}}**</li>
</ul>

<h3 id="C">C</h3>

<ul>
	<li>{{CSSxRef("-webkit-column-axis")}}</li>
	<li>{{CSSxRef("-webkit-column-break-after")}}</li>
	<li>{{CSSxRef("-webkit-column-break-before")}}</li>
	<li>{{CSSxRef("-webkit-column-break-inside")}}</li>
	<li>{{CSSxRef("-webkit-column-progression")}}</li>
	<li>{{CSSxRef("-webkit-cursor-visibility")}}</li>
</ul>

<h3 id="D-I">D-I</h3>

<ul>
	<li>{{CSSxRef("-webkit-dashboard-region")}}</li>
	<li>{{CSSxRef("-webkit-font-size-delta")}}</li>
	<li>{{CSSxRef("-webkit-font-smoothing")}}</li>
	<li>{{CSSxRef("-webkit-highlight")}}</li>
	<li>{{CSSxRef("-webkit-hyphenate-character")}}</li>
	<li>{{CSSxRef("-webkit-hyphenate-limit-after")}}</li>
	<li>{{CSSxRef("-webkit-hyphenate-limit-before")}}</li>
	<li>{{CSSxRef("-webkit-hyphenate-limit-lines")}}</li>
	<li>{{CSSxRef("-webkit-initial-letter")}}</li>
</ul>

<h3 id="L">L</h3>

<ul>
	<li>{{CSSxRef("-webkit-line-align")}}</li>
	<li>{{CSSxRef("-webkit-line-box-contain")}}</li>
	<li>{{CSSxRef("-webkit-line-clamp")}}</li>
	<li>{{CSSxRef("-webkit-line-grid")}}</li>
	<li>{{CSSxRef("-webkit-line-snap")}}</li>
	<li>{{CSSxRef("-webkit-locale")}}</li>
	<li>{{CSSxRef("-webkit-logical-height")}}</li>
	<li>{{CSSxRef("-webkit-logical-width")}}</li>
</ul>

<h3 id="M">M</h3>

<ul>
	<li>{{CSSxRef("-webkit-margin-after-collapse")}}</li>
	<li>{{CSSxRef("-webkit-margin-after")}}</li>
	<li>{{CSSxRef("-webkit-margin-before-collapse")}}</li>
	<li>{{CSSxRef("-webkit-margin-before")}}</li>
	<li>{{CSSxRef("-webkit-margin-bottom-collapse")}}</li>
	<li>{{CSSxRef("-webkit-margin-collapse")}}</li>
	<li>{{CSSxRef("margin-block-end", "-webkit-margin-end")}}**</li>
	<li>{{CSSxRef("margin-block-start", "-webkit-margin-start")}}**</li>
	<li>{{CSSxRef("-webkit-margin-top-collapse")}}</li>
	<li>{{CSSxRef("-webkit-marquee-direction")}}</li>
	<li>{{CSSxRef("-webkit-marquee-increment")}}</li>
	<li>{{CSSxRef("-webkit-marquee-repetition")}}</li>
	<li>{{CSSxRef("-webkit-marquee-speed")}}</li>
	<li>{{CSSxRef("-webkit-marquee-style")}}</li>
	<li>{{CSSxRef("-webkit-marquee")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image-outset")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image-repeat")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image-slice")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image-source")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image-width")}}</li>
	<li>{{CSSxRef("-webkit-mask-box-image")}}</li>
	<li>{{CSSxRef("-webkit-mask-repeat-x")}}</li>
	<li>{{CSSxRef("-webkit-mask-repeat-y")}}</li>
	<li>{{CSSxRef("-webkit-mask-source-type")}}</li>
	<li>{{CSSxRef("-webkit-max-logical-height")}}</li>
	<li>{{CSSxRef("-webkit-max-logical-width")}}</li>
	<li>{{CSSxRef("-webkit-min-logical-height")}}</li>
	<li>{{CSSxRef("-webkit-min-logical-width")}}</li>
</ul>

<h3 id="N">N</h3>

<ul>
	<li>{{CSSxRef("-webkit-nbsp-mode")}}</li>
</ul>

<h3 id="P">P</h3>

<ul>
	<li>{{CSSxRef("padding-block-end","-webkit-padding-after")}}**</li>
	<li>{{CSSxRef("padding-block-start","-webkit-padding-before")}}**</li>
	<li>{{CSSxRef("padding-inline-end","-webkit-padding-end")}}**</li>
	<li>{{CSSxRef("padding-inline-start","-webkit-padding-start")}}**</li>
	<li>{{CSSxRef("-webkit-perspective-origin-x")}}</li>
	<li>{{CSSxRef("-webkit-perspective-origin-y")}}</li>
	<li>{{CSSxRef("-webkit-print-color-adjust")}}</li>
</ul>

<h3 id="R-S">R-S</h3>

<ul>
	<li>{{CSSxRef("-webkit-rtl-ordering")}}</li>
	<li>{{CSSxRef("-webkit-svg-shadow")}}</li>
</ul>

<h3 id="T">T</h3>

<ul>
	<li>{{CSSxRef("-webkit-tap-highlight-color")}}</li>
	<li>{{CSSxRef("-webkit-text-combine")}}</li>
	<li>{{CSSxRef("-webkit-text-decoration-skip")}}</li>
	<li>{{CSSxRef("-webkit-text-decorations-in-effect")}}</li>
	<li>{{CSSxRef("-webkit-text-fill-color")}}</li>
	<li>{{CSSxRef("-webkit-text-security")}}</li>
	<li>{{CSSxRef("-webkit-text-stroke-color")}}</li>
	<li>{{CSSxRef("-webkit-text-stroke-width")}}</li>
	<li>{{CSSxRef("-webkit-text-stroke")}}</li>
	<li>{{CSSxRef("-webkit-text-zoom")}}</li>
	<li>{{CSSxRef("-webkit-transform-origin-x")}}</li>
	<li>{{CSSxRef("-webkit-transform-origin-y")}}</li>
	<li>{{CSSxRef("-webkit-transform-origin-z")}}</li>
</ul>

<h3 id="U">U</h3>

<ul>
	<li>{{CSSxRef("-webkit-user-drag")}}</li>
	<li>{{CSSxRef("-webkit-user-modify")}}</li>
</ul>
</div>

<p>* A few are on the standards, unprefixed track<br>
** New syntax has been standardized. Property links to the new synax. Old prefixed syntax is still supported in some browsers.</p>

<h2 id="WebKit-prefixed_properties_on_the_standards_track">WebKit-prefixed properties on the standards track</h2>

<div class="index">
<ul>
	<li>{{CSSxRef("appearance", "-webkit-appearance")}}</li>
	<li>{{CSSxRef("-webkit-font-size-delta")}}</li>
	<li>{{CSSxRef("-webkit-mask-composite")}}</li>
	<li>{{CSSxRef("-webkit-mask-position-x")}}</li>
	<li>{{CSSxRef("-webkit-mask-position-y")}}</li>
	<li>{{CSSxRef("-webkit-mask-repeat-x")}}</li>
	<li>{{CSSxRef("-webkit-mask-repeat-y")}}</li>
</ul>
</div>

<h2 id="Formerly_proprietary_properties_that_are_now_standard"><span class="highlight-span">Formerly proprietary properties that are now standard</span></h2>

<div class="note">
<p><strong>Note:</strong> To maximize the compatibility of your CSS, you should use the unprefixed standard properties instead of the prefixed ones listed below.</p>
</div>

<div class="index">
<h3 id="A_2">A</h3>

<ul>
	<li>{{CSSxRef("align-content","-webkit-align-content")}}</li>
	<li>{{CSSxRef("align-items","-webkit-align-items")}}</li>
	<li>{{CSSxRef("align-self","-webkit-align-self")}}</li>
	<li>{{CSSxRef("animation","-webkit-animation")}}</li>
	<li>{{CSSxRef("animation-delay","-webkit-animation-delay")}}</li>
	<li>{{CSSxRef("animation-direction","-webkit-animation-direction")}}</li>
	<li>{{CSSxRef("animation-duration","-webkit-animation-duration")}}</li>
	<li>{{CSSxRef("animation-fill-mode","-webkit-animation-fill-mode")}}</li>
	<li>{{CSSxRef("animation-iteration-count","-webkit-animation-iteration-count")}}</li>
	<li>{{CSSxRef("animation-name","-webkit-animation-name")}}</li>
	<li>{{CSSxRef("animation-play-state","-webkit-animation-play-state")}}</li>
	<li>{{CSSxRef("animation-timing-function","-webkit-animation-timing-function")}}</li>
</ul>

<h3 id="B_2">B</h3>

<ul>
	<li>{{CSSxRef("backface-visibility","-webkit-backface-visibility")}}</li>
	<li>{{CSSxRef("background-clip","-webkit-background-clip")}}</li>
	<li>{{CSSxRef("background-origin","-webkit-background-origin")}}</li>
	<li>{{CSSxRef("background-size","-webkit-background-size")}}</li>
	<li>{{CSSxRef("border-bottom-left-radius","-webkit-border-bottom-left-radius")}}</li>
	<li>{{CSSxRef("border-bottom-right-radius","-webkit-border-bottom-right-radius")}}</li>
	<li>{{CSSxRef("border-image","-webkit-border-image")}}</li>
	<li>{{CSSxRef("border-radius","-webkit-border-radius")}}</li>
	<li>{{CSSxRef("border-top-left-radius","-webkit-border-top-left-radius")}}</li>
	<li>{{CSSxRef("border-top-right-radius","-webkit-border-top-right-radius")}}</li>
	<li>{{CSSxRef("box-decoration-break","-webkit-box-decoration-break")}}</li>
	<li>{{CSSxRef("box-shadow","-webkit-box-shadow")}}</li>
	<li>{{CSSxRef("box-sizing","-webkit-box-sizing")}}</li>
</ul>

<h3 id="C_2">C</h3>

<ul>
	<li>{{CSSxRef("clip-path","-webkit-clip-path")}}</li>
	<li>{{CSSxRef("column-count","-webkit-column-count")}}</li>
	<li>{{CSSxRef("column-fill","-webkit-column-fill")}}</li>
	<li>{{CSSxRef("column-gap","-webkit-column-gap")}}</li>
	<li>{{CSSxRef("column-rule","-webkit-column-rule")}}</li>
	<li>{{CSSxRef("column-rule-color","-webkit-column-rule-color")}}</li>
	<li>{{CSSxRef("column-rule-style","-webkit-column-rule-style")}}</li>
	<li>{{CSSxRef("column-rule-width","-webkit-column-rule-width")}}</li>
	<li>{{CSSxRef("column-span","-webkit-column-span")}}</li>
	<li>{{CSSxRef("column-width","-webkit-column-width")}}</li>
	<li>{{CSSxRef("columns","-webkit-columns")}}</li>
</ul>

<h3 id="F">F</h3>

<ul>
	<li>{{CSSxRef("filter","-webkit-filter")}}</li>
	<li>{{CSSxRef("flex","-webkit-flex")}}</li>
	<li>{{CSSxRef("flex-basis","-webkit-flex-basis")}}</li>
	<li>{{CSSxRef("flex-direction","-webkit-flex-direction")}}</li>
	<li>{{CSSxRef("flex-flow","-webkit-flex-flow")}}</li>
	<li>{{CSSxRef("flex-grow","-webkit-flex-grow")}}</li>
	<li>{{CSSxRef("flex-shrink","-webkit-flex-shrink")}}</li>
	<li>{{CSSxRef("flex-wrap","-webkit-flex-wrap")}}</li>
	<li>{{CSSxRef("-webkit-font-feature-settings")}}</li>
	<li>{{CSSxRef("-webkit-font-kerning")}}</li>
	<li>{{CSSxRef("-webkit-font-variant-ligatures")}}</li>
</ul>

<h3 id="G-J">G-J</h3>

<ul>
	<li>{{CSSxRef("grid","-webkit-grid")}}</li>
	<li>{{CSSxRef("grid-area","-webkit-grid-area")}}</li>
	<li>{{CSSxRef("grid-auto-columns","-webkit-grid-auto-columns")}}</li>
	<li>{{CSSxRef("grid-auto-flow","-webkit-grid-auto-flow")}}</li>
	<li>{{CSSxRef("grid-auto-rows","-webkit-grid-auto-rows")}}</li>
	<li>{{CSSxRef("grid-column","-webkit-grid-column")}}</li>
	<li>{{CSSxRef("grid-column-end","-webkit-grid-column-end")}}</li>
	<li>{{CSSxRef("grid-column-gap","-webkit-grid-column-gap")}}</li>
	<li>{{CSSxRef("grid-column-start","-webkit-grid-column-start")}}</li>
	<li>{{CSSxRef("grid-gap","-webkit-grid-gap")}}</li>
	<li>{{CSSxRef("grid-row","-webkit-grid-row")}}</li>
	<li>{{CSSxRef("grid-row-end","-webkit-grid-row-end")}}</li>
	<li>{{CSSxRef("grid-row-gap","-webkit-grid-row-gap")}}</li>
	<li>{{CSSxRef("grid-row-start","-webkit-grid-row-start")}}</li>
	<li>{{CSSxRef("grid-template","-webkit-grid-template")}}</li>
	<li>{{CSSxRef("grid-template-areas","-webkit-grid-template-areas")}}</li>
	<li>{{CSSxRef("grid-template-columns","-webkit-grid-template-columns")}}</li>
	<li>{{CSSxRef("grid-template-rows","-webkit-grid-template-rows")}}</li>
</ul>

<h3 id="H-L">H-L</h3>

<ul>
	<li>{{CSSxRef("hyphens","-webkit-hyphens")}}</li>
	<li>{{CSSxRef("justify-content","-webkit-justify-content")}}</li>
	<li>{{CSSxRef("justify-items","-webkit-justify-items")}}</li>
	<li>{{CSSxRef("justify-self","-webkit-justify-self")}}</li>
	<li>{{CSSxRef("line-break","-webkit-line-break")}}</li>
</ul>

<h3 id="M_2">M</h3>

<ul>
	<li>{{CSSxRef("mask","-webkit-mask")}}</li>
	<li>{{CSSxRef("mask-clip","-webkit-mask-clip")}}</li>
	<li>{{CSSxRef("mask-composite","-webkit-mask-composite")}}</li>
	<li>{{CSSxRef("mask-image","-webkit-mask-image")}}</li>
	<li>{{CSSxRef("mask-origin","-webkit-mask-origin")}}</li>
	<li>{{CSSxRef("mask-position","-webkit-mask-position")}}</li>
	<li>{{CSSxRef("mask-repeat","-webkit-mask-repeat")}}</li>
	<li>{{CSSxRef("mask-size","-webkit-mask-size")}}</li>
</ul>

<h3 id="O-R">O-R</h3>

<ul>
	<li>{{CSSxRef("opacity","-webkit-opacity")}}</li>
	<li>{{CSSxRef("order","-webkit-order")}}</li>
	<li>{{CSSxRef("perspective","-webkit-perspective")}}</li>
	<li>{{CSSxRef("perspective-origin","-webkit-perspective-origin")}}</li>
	<li>{{CSSxRef("ruby-position","-webkit-ruby-position")}}</li>
</ul>

<h3 id="S">S</h3>

<ul>
	<li>{{CSSxRef("scroll-snap-type","-webkit-scroll-snap-type")}}</li>
	<li>{{CSSxRef("shape-image-threshold","-webkit-shape-image-threshold")}}</li>
	<li>{{CSSxRef("shape-margin","-webkit-shape-margin")}}</li>
	<li>{{CSSxRef("shape-outside","-webkit-shape-outside")}}</li>
</ul>

<h3 id="T_2">T</h3>

<ul>
	<li>{{CSSxRef("text-decoration", "-epub-text-decoration")}}</li>
	<li>{{CSSxRef("text-decoration-color", "-webkit-text-color-decoration")}}</li>
	<li>{{CSSxRef("text-decoration-line", "-webkit-text-decoration-line")}}</li>
	<li>{{CSSxRef("text-decoration-style", "-webkit-text-decoration-style")}}</li>
	<li>{{CSSxRef("text-emphasis", "-epub-text-emphasis")}}</li>
	<li>{{CSSxRef("text-emphasis","-webkit-text-emphasis")}}</li>
	<li>{{CSSxRef("text-emphasis-color", "-epub-text-emphasis-color")}}</li>
	<li>{{CSSxRef("text-emphasis-color","-webkit-text-emphasis-color")}}</li>
	<li>{{CSSxRef("text-emphasis-position","-webkit-text-emphasis-position")}}</li>
	<li>{{CSSxRef("text-emphasis-style","-epub-text-emphasis-style")}}</li>
	<li>{{CSSxRef("text-emphasis-style","-webkit-text-emphasis-style")}}</li>
	<li>{{CSSxRef("text-justify","-webkit-text-justify")}}</li>
	<li>{{CSSxRef("text-orientation","-webkit-text-orientation")}}</li>
	<li>{{CSSxRef("text-size-adjust","-webkit-text-size-adjust")}}</li>
	<li>{{CSSxRef("text-underline-position","-webkit-text-underline-position")}}</li>
	<li>{{CSSxRef("transform","-webkit-transform")}}</li>
	<li>{{CSSxRef("transform-origin","-webkit-transform-origin")}}</li>
	<li>{{CSSxRef("transform-style","-webkit-transform-style")}}</li>
	<li>{{CSSxRef("transition","-webkit-transition")}}</li>
	<li>{{CSSxRef("transition-delay","-webkit-transition-delay")}}</li>
	<li>{{CSSxRef("transition-duration","-webkit-transition-duration")}}</li>
	<li>{{CSSxRef("transition-property","-webkit-transition-property")}}</li>
	<li>{{CSSxRef("transition-timing-function","-webkit-transition-timing-function")}}</li>
</ul>

<h3 id="U-W">U-W</h3>

<ul>
	<li>{{CSSxRef("user-select","-webkit-user-select")}}</li>
	<li>{{CSSxRef("word-break", "-epub-word-break")}}</li>
	<li>{{CSSxRef("writing-mode", "-epub-writing-mode")}}</li>
</ul>
</div>

<h2 id="Supported_in_non-webkit_browsers_without_a_prefix_but_not_standard">Supported in non-webkit browsers without a prefix, but not standard</h2>

<p>The following properties are supported in at least one browser without a prefix, but are not on the standards track.</p>

<div class="index">
<ul>
	<li>{{CSSxRef("mask-position-x","-webkit-mask-position-x")}}*</li>
	<li>{{CSSxRef("mask-position-y","-webkit-mask-position-y")}}*</li>
</ul>
</div>

<p>* Supported unprefixed in Firefox, with prefix in Safari.</p>

<h2 id="Supported_in_Firefox_with_-webkit-_prefix">Supported in Firefox with <code>-webkit-</code> prefix</h2>

<p>The following properties are supported with the <code>-webkit-</code> prefix in Firefox. Many of these are supported with no prefix as well: see <a href="#Formerly_proprietary_properties_that_are_now_standard">Formerly proprietary properties that are now standard </a>above.</p>

<div class="notecard note">
<p>Note: Due to the legacy code in a multitude of web sites that used -webkit- prefixed properties, Edge and Firefox redirect many -webkit- prefixed properties to -moz-, -ms-, and unprefixed equivalents.</p>
</div>

<div class="index">
<h3 id="A_3">A</h3>

<ul>
	<li>{{CSSxRef("-webkit-align-content")}}</li>
	<li>{{CSSxRef("-webkit-align-items")}}</li>
	<li>{{CSSxRef("-webkit-align-self")}}</li>
	<li>{{CSSxRef("-webkit-animation")}}</li>
	<li>{{CSSxRef("-webkit-animation-delay")}}</li>
	<li>{{CSSxRef("-webkit-animation-direction")}}</li>
	<li>{{CSSxRef("-webkit-animation-duration")}}</li>
	<li>{{CSSxRef("-webkit-animation-fill-mode")}}</li>
	<li>{{CSSxRef("-webkit-animation-iteration-count")}}</li>
	<li>{{CSSxRef("-webkit-animation-name")}}</li>
	<li>{{CSSxRef("-webkit-animation-play-state")}}</li>
	<li>{{CSSxRef("-webkit-animation-timing-function")}}</li>
	<li>{{CSSxRef("-webkit-appearance")}}*</li>
</ul>

<h3 id="B_3">B</h3>

<ul>
	<li>{{CSSxRef("-webkit-backface-visibility")}}</li>
	<li>{{CSSxRef("-webkit-background-clip")}}</li>
	<li>{{CSSxRef("-webkit-background-origin")}}</li>
	<li>{{CSSxRef("-webkit-background-size")}}</li>
	<li>{{CSSxRef("-webkit-border-bottom-left-radius")}}</li>
	<li>{{CSSxRef("-webkit-border-bottom-right-radius")}}</li>
	<li>{{CSSxRef("-webkit-border-image")}}</li>
	<li>{{CSSxRef("-webkit-border-radius")}}</li>
	<li>{{CSSxRef("-webkit-box-align")}}**, ***</li>
	<li>{{CSSxRef("-webkit-box-direction")}}**, ***</li>
	<li>{{CSSxRef("-webkit-box-flex")}}**, ***</li>
	<li>{{CSSxRef("-webkit-box-orient")}}**, ***</li>
	<li>{{CSSxRef("-webkit-box-pack")}}**, ***</li>
	<li>{{CSSxRef("-webkit-box-shadow")}}</li>
	<li>{{CSSxRef("-webkit-box-sizing")}}</li>
	<li>{{CSSxRef("-webkit-border-top-left-radius")}}</li>
	<li>{{CSSxRef("-webkit-border-top-right-radius")}}</li>
</ul>

<h3 id="F_2">F</h3>

<ul>
	<li>{{CSSxRef("-webkit-filter")}}</li>
	<li>{{CSSxRef("-webkit-flex")}}</li>
	<li>{{CSSxRef("-webkit-flex-basis")}}</li>
	<li>{{CSSxRef("-webkit-flex-direction")}}</li>
	<li>{{CSSxRef("-webkit-flex-flow")}}</li>
	<li>{{CSSxRef("-webkit-flex-grow")}}</li>
	<li>{{CSSxRef("-webkit-flex-shrink")}}</li>
	<li>{{CSSxRef("-webkit-flex-wrap")}}</li>
</ul>

<h3 id="J">J</h3>

<ul>
	<li>{{CSSxRef("-webkit-justify-content")}}</li>
</ul>

<h3 id="M_3">M</h3>

<ul>
	<li>{{CSSxRef("-webkit-mask")}}</li>
	<li>{{CSSxRef("-webkit-mask-clip")}}</li>
	<li>{{CSSxRef("-webkit-mask-composite")}}*</li>
	<li>{{CSSxRef("-webkit-mask-image")}}</li>
	<li>{{CSSxRef("-webkit-mask-origin")}}</li>
	<li>{{CSSxRef("-webkit-mask-position")}}</li>
	<li>{{CSSxRef("-webkit-mask-position-x")}}**</li>
	<li>{{CSSxRef("-webkit-mask-position-y")}}**</li>
	<li>{{CSSxRef("-webkit-mask-repeat")}}</li>
	<li>{{CSSxRef("-webkit-mask-size")}}</li>
</ul>

<h3 id="O-P">O-P</h3>

<ul>
	<li>{{CSSxRef("-webkit-order")}}</li>
	<li>{{CSSxRef("-webkit-perspective")}}</li>
	<li>{{CSSxRef("-webkit-perspective-origin")}}</li>
</ul>

<h3 id="T_3">T</h3>

<ul>
	<li>{{CSSxRef("-webkit-text-fill-color")}}**</li>
	<li>{{CSSxRef("-webkit-text-size-adjust")}}</li>
	<li>{{CSSxRef("-webkit-text-stroke")}}**</li>
	<li>{{CSSxRef("-webkit-text-stroke-color")}}**</li>
	<li>{{CSSxRef("-webkit-text-stroke-width")}}**</li>
	<li>{{CSSxRef("-webkit-transform")}}</li>
	<li>{{CSSxRef("-webkit-transform-origin")}}</li>
	<li>{{CSSxRef("-webkit-transition")}}</li>
	<li>{{CSSxRef("-webkit-transition-delay")}}</li>
	<li>{{CSSxRef("-webkit-transition-duration")}}</li>
	<li>{{CSSxRef("-webkit-transition-property")}}</li>
	<li>{{CSSxRef("-webkit-transition-timing-function")}}</li>
</ul>

<h3 id="U_2">U</h3>

<ul>
	<li>{{CSSxRef("-webkit-user-select")}}</li>
</ul>
</div>

<p>*Supported with <code>-moz-</code> and <code>-webkit-</code> prefix in Firefox, but not supported without a prefix. Microsoft Edge and IE Mobile support this property with the <code>-webkit-</code> prefix, rather than <code>-ms-</code> for interopability reasons as well.<br>
** These values are supported even though they are not standard and are not on track to becoming standard.<br>
*** Use flex-box properties instead.</p>

<h2 id="Deprecated_-webkit-_properties">Deprecated <code>-webkit-</code> properties</h2>

<p>The following properties were once supported with the -webkit- prefix but are no longer supported in evergreen browsers, with or without the <code>-webkit-</code> prefix.</p>

<div class="index">
<ul>
	<li><code>-webkit-alt*</code></li>
	<li><code>-webkit-color-correction</code></li>
	<li><code>-webkit-flow-from</code></li>
	<li><code>-webkit-flow-into</code></li>
	<li><code>-webkit-grid-columns</code> (See <code><a href="/en-US/docs/Web/CSS/grid-column">grid-column)</a></code></li>
	<li><code>-webkit-grid-rows</code> (See <code><a href="/en-US/docs/Web/CSS/grid-row">grid-row)</a></code></li>
	<li><code>-webkit-hyphenate-charset</code></li>
	<li><code>-webkit-image-set (See </code>{{CSSxRef("image-set")}})</li>
	<li><code>-webkit-mask-attachment</code></li>
	<li><code>-webkit-match-nearest-mail-blockquote-color</code></li>
	<li>{{CSSxRef("-webkit-overflow-scrolling")}}</li>
	<li><code>-webkit-region-break-after</code></li>
	<li><code>-webkit-region-break-before</code></li>
	<li><code>-webkit-region-break-inside</code></li>
	<li><code>-webkit-region-fragment</code></li>
	<li><code>-webkit-shape-inside</code></li>
	<li><a href="/en-US/docs/Web/CSS/-webkit-touch-callout">-webkit-touch-callout</a><code> </code>(See <code><a href="/en-US/docs/Web/CSS/touch-action">touch-action</a>)</code></li>
	<li><code>background-origin-x</code> (unprefixed!)</li>
	<li><code>background-origin-y</code> (unprefixed!)</li>
</ul>
</div>

<p>* Still supported in the Safari Technology Preview, but not in a generally released browser.</p>

<h2 id="Pseudo-classes">Pseudo-classes</h2>

<div class="index">
<ul>
	<li>{{CSSxRef(":animating-full-screen-transition", ":-webkit-animating-full-screen-transition")}}</li>
	<li>{{CSSxRef(":any()", ":-webkit-any()")}}</li>
	<li>{{CSSxRef(":any-link", ":-webkit-any-link")}}*</li>
	<li>{{CSSxRef(":autofill",":-webkit-autofill")}}</li>
	<li>{{CSSxRef(":autofill-strong-password",":-webkit-autofill-strong-password")}}</li>
	<li>{{CSSxRef(":drag",":-webkit-drag")}}</li>
	<li>{{CSSxRef(":full-page-media",":-webkit-full-page-media")}}</li>
	<li>{{CSSxRef(":full-screen", ":-webkit-full-screen")}}*</li>
	<li>{{CSSxRef(":full-screen-ancestor",":-webkit-full-screen-ancestor")}}</li>
	<li>{{CSSxRef(":full-screen-document",":-webkit-full-screen-document")}}</li>
	<li>{{CSSxRef(":full-screen-controls-hidden",":-webkit-full-screen-controls-hidden")}}</li>
</ul>
</div>

<p>* Now standard.</p>

<div class="note">
<p><strong>Note:</strong> If there is an invalid pseudo-class within in a chain or group of selectors, the whole selector list is invalid.</p>
</div>

<h2 id="Pseudo-elements">Pseudo-elements</h2>

<p>For web-compatibility reasons, Blink, WebKit, and Gecko browsers treat all pseudo-elements starting with <code>::-webkit-</code> as valid.</p>

<div class="index">
<ul>
	<li>{{CSSxRef("::file-selector-button","::-webkit-file-upload-button")}}*</li>
	<li>{{CSSxRef("::-webkit-inner-spin-button")}}</li>
	<li>{{CSSxRef("::-webkit-input-placeholder")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-current-time-display")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-enclosure")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-fullscreen-button")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-mute-button")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-overlay-enclosure")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-panel")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-play-button")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-timeline")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-time-remaining-display")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-toggle-closed-captions-button")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-volume-control-container")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-volume-control-hover-background")}}</li>
	<li>{{CSSxRef("::-webkit-media-controls-volume-slider")}}</li>
	<li>{{CSSxRef("::-webkit-meter-bar")}}</li>
	<li>{{CSSxRef("::-webkit-meter-even-less-good-value")}}</li>
	<li>{{CSSxRef("::-webkit-meter-inner-element")}}</li>
	<li>{{CSSxRef("::-webkit-meter-optimum-value")}}</li>
	<li>{{CSSxRef("::-webkit-meter-suboptimum-value")}}</li>
	<li>{{CSSxRef("-webkit-media-text-track-container")}}</li>
	<li>{{CSSxRef("::-webkit-outer-spin-button")}}</li>
	<li>{{CSSxRef("::-webkit-progress-bar")}}</li>
	<li>{{CSSxRef("::-webkit-progress-inner-element")}}</li>
	<li>{{CSSxRef("::-webkit-progress-value")}}</li>
	<li>{{CSSxRef("::-webkit-search-cancel-button")}}</li>
	<li>{{CSSxRef("::-webkit-search-results-button")}}</li>
	<li>{{CSSxRef("::-webkit-slider-runnable-track")}}</li>
	<li>{{CSSxRef("::-webkit-slider-thumb")}}</li>
</ul>
</div>

<p>* Now standard.</p>

<div class="note">
<p><strong>Note:</strong> Generally, if there is an invalid pseudo-element or pseudo-class within in a chain or group of selectors, the whole selector list is invalid. If a pseudo-element (but not pseudo-class) has a -webkit- prefix, As of Firefox 63, Blink, WebKit and Gecko browsers assume it is valid, not invalidating the selector list.</p>
</div>

<h2 id="Media_features">Media features</h2>

<div class="index">
<ul>
	<li>{{CSSxRef("@media/-webkit-animation", "-webkit-animation")}}</li>
	<li>{{CSSxRef("@media/-webkit-device-pixel-ratio", "-webkit-device-pixel-ratio")}}</li>
	<li>{{CSSxRef("@media/-webkit-transform-2d", "-webkit-transform-2d")}}</li>
	<li>{{CSSxRef("@media/-webkit-transform-3d", "-webkit-transform-3d")}}</li>
	<li>{{CSSxRef("@media/-webkit-transition", "-webkit-transition")}}</li>
</ul>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="https://trac.webkit.org/wiki/Styling%20Form%20Controls" title="https://trac.webkit.org/wiki/Styling Form Controls">Styling Form Controls on the WebKit Trac</a></li>
	<li><a href="/en-US/docs/Web/CSS/Microsoft_Extensions">Microsoft CSS Extensions</a></li>
	<li><a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla CSS Extensions</a></li>
</ul>
